Subject: [bug#67507] [PATCH v2 0/2] Using the right locales on GNU/Hurd

From: Ludovic Courtès <[email-masked]>
Date: Thu, 30 Nov 2023 22:43:18 +0100

Hello!

Janneke Nieuwenhuizen <[email-masked]> skribis:

> $ make as-derivation
> Building Guix in Guix...
> warning: 'nix-server-socket' is deprecated, use 'store-connection-socket' instead
> warning: 'nix-server-major-version' is deprecated, use 'store-connection-major-version' instead
> warning: 'nix-server-minor-version' is deprecated, use 'store-connection-minor-version' instead
> Computing Guix derivation for 'i586-gnu'... |process 7189 acquired build slot '/var/guix/offload/kluit.dezyne.org:10022/0'
> \normalized load on machine 'kluit.dezyne.org' is 0.91
> waiting for locks or build slots...
> |process 7189 acquired build slot '/var/guix/offload/kluit.dezyne.org:10022/0'
> \normalized load on machine 'kluit.dezyne.org' is 0.64
> \guix offload: sending 0 store items (0 MiB) to 'kluit.dezyne.org'...
> offloading '/gnu/store/3hc9fardc4pwmcjh6x5x6mi1yicvy861-glibc-utf8-locales-2.37.drv' to 'kluit.dezyne.org'...
> @ build-remote /gnu/store/3hc9fardc4pwmcjh6x5x6mi1yicvy861-glibc-utf8-locales-2.37.drv kluit.dezyne.org
> retrieving 1 store item from 'kluit.dezyne.org'...
> -importing file or directory '/gnu/store/30knn5niz8j43aqly8qy4k20755n92kv-glibc-utf8-locales-2.37'...
> guix offload: error: corrupt input while restoring '/gnu/store/30knn5niz8j43aqly8qy4k20755n92kv-glibc-utf8-locales-2.
[...]

>   1. &store-protocol-error:
>       message: "build of `/gnu/store/2d6gh47cnnsv8zf5dvznlsszai4ry5qc-guile-3.0.9.drv' failed"
>       status: 1

This looks like an offloading issue.

What happens if you do this beforehand:

  guix build /gnu/store/2d6gh47cnnsv8zf5dvznlsszai4ry5qc-guile-3.0.9.drv

?

(Note that I tested on ‘master’ though, so I’m not sure if there are
relevant differences between the two branches; I guess I should know
better…)

Thanks for testing!

Ludo’.